summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Blanchard <tchaik@gmx.com>2019-03-07 21:36:44 +0000
committerMartin Blanchard <tchaik@gmx.com>2019-03-07 21:36:44 +0000
commit23c22e50f1eef2d5b5fb88f999849e8cba131ee8 (patch)
treef9899da0cf808b8023687f0e7fab08de8cc2651a
parent10c479525e694d0a32fdccaa5d909f9fa1495925 (diff)
downloadibus-hangul-23c22e50f1eef2d5b5fb88f999849e8cba131ee8.tar.gz
build: Prefer autoreconf over gnome-autogen.sh
The gnome-common module is deprecated: https://wiki.gnome.org/Projects/GnomeCommon/Migration
-rwxr-xr-xautogen.sh41
1 files changed, 29 insertions, 12 deletions
diff --git a/autogen.sh b/autogen.sh
index c741591..60c29de 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,24 +1,41 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-PKG_NAME="ibus-hangul"
+cd "$srcdir"
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/README ) || {
+(test -f configure.ac) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
-ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-REQUIRED_AUTOMAKE_VERSION=1.8
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
-. gnome-autogen.sh
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi